Bug 1269866 - Data Modeling for jBPM and Dashbuilder is missing in BPM Suite 6.1 documentation [NEEDINFO]
Data Modeling for jBPM and Dashbuilder is missing in BPM Suite 6.1 documentation
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: brms-docs@redhat.com
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 07:35 EDT by Amana
Modified: 2017-08-14 15:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmacik: needinfo? (alazarot)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BXMSDOC-225 Major Resolved (RHBZ#1269866) Data Modeling for jBPM and Dashbuilder is missing 2017-08-14 15:19 EDT
Red Hat Knowledge Base (Solution) 2303421 None None None 2016-05-09 15:03 EDT

  None (edit)
Description Amana 2015-10-08 07:35:33 EDT
Describe the issue: 

It is really needed to include the data modeling for all tables from jBPM and dashbuilder apps in the documentation. Today we have only DDLs and some further information regarding *three* tables from jBPM in community doc [1], but nothing official. 

It is needed to include all data modeling such as entity types, relationships, etc.
Comment 3 Amana 2015-10-08 07:45:02 EDT
Also, I considered it a bug as only *some* tables were detailed in doc community.
Comment 4 Kris Verlaenen 2015-10-08 08:12:53 EDT
The information in the product docs should imho be based on the ddl shippep in the product.  Documentation can obviously decide what the best way would be to visualize this (I guess with some kind of graphical visualization as in the community).  Please let us know if you need any more information from engineering.
Comment 5 Alessandro Lazarotti 2015-10-08 15:56:36 EDT
Customer request is to have a Data Model, so an ERM diagram is the right way to go with this.
See that other customers have asked before someway to better understand our model as well, so it is really a relevant request to be added to DOC asap.
Comment 6 Amana 2015-10-09 10:03:43 EDT
Adding doc link mentioned in bug description:

[1] https://docs.jboss.org/jbpm/v6.2/userguide/jBPMPersistence.html#d0e5340
Comment 7 Amana 2015-10-19 11:24:32 EDT
Any updates?
Comment 8 Amana 2015-11-26 10:27:12 EST
Hi all,

Is there any updates regarding it?
Comment 9 Amana 2016-01-05 11:10:06 EST
Is there any plan to include it in a future or current doc?
Comment 11 Alessandro Lazarotti 2016-03-10 10:24:47 EST
With the release of the feature https://issues.jboss.org/browse/BPMSPL-258 in 6.3 this doc is now fundamental to users know how to write the queries.

Note You need to log in before you can comment on or make changes to this bug.